Topic
3 replies Latest Post - ‏2009-11-27T13:18:05Z by ishields
Bigears
Bigears
2 Posts
ACCEPTED ANSWER

Pinned topic Installing aacraid driver RHEL 4 on x-series 3650 for ServeRAID 8k-l

‏2009-11-16T07:56:23Z |
Any ideas at to what's going on here and how I would fix it? Grateful for any ideas.

./install.sh --update --override

Drivers will be installed/migrated to 2.6.9-89.0.11 version


Checking adpt-aacraid-smp-1.1.5.2449_2.6.9_55.EL-0.i686.rpm
......
Check if /usr/local/bin/kexport_extract is installed
2.6.9-89.0.11 is not installed. Cannot find Module.symvers file corresponding to this kernel. Sorry
ERROR: ABI breakage detected

ERROR: ABI_FAILURE
MIGRATION OF THE RPMS CANNOT BE COMPLETED SUCESSFULLY
BOOTING UP ON THE 2.6.9-89.0.11 VERSION WILL MISS THESE DRIVERS
CONTACT IBM FOR SUPPORT
TILL THEN DO NOT BOOT ON THE 2.6.9-89.0.11 KERNEL
Updated on 2009-11-27T13:18:05Z at 2009-11-27T13:18:05Z by ishields
  • ishields
    ishields
    988 Posts
    ACCEPTED ANSWER

    Re: Installing aacraid driver RHEL 4 on x-series 3650 for ServeRAID 8k-l

    ‏2009-11-18T12:12:08Z  in response to Bigears
    This forum is for IBM software products on Linux.

    I have posted all the ServeRAID information that I have in the posting Where to get support for IBM ServeRAID on Linux. Please use those resources for ServeRAID support.

    My understanding is that you need specific driver levels to match your kernel level. From your posting, it appears that the levels you are trying to use may not match.

    Ian Shields
  • Bigears
    Bigears
    2 Posts
    ACCEPTED ANSWER

    Re: Installing aacraid driver RHEL 4 on x-series 3650 for ServeRAID 8k-l

    ‏2009-11-27T02:05:39Z  in response to Bigears
    This error was caused by some missing kernel driver files.

    rpm -V kernel-smp-2.6.9-89.0.11.EL
    missing /lib/modules/2.6.9-89.0.11.ELsmp/kernel/drivers/scsi/qla2???/qla2100.ko
    missing /lib/modules/2.6.9-89.0.11.ELsmp/kernel/drivers/scsi/qla2???/qla2200.ko

    One of the IBM supplied driver installation utilities, kexport_extract, does some cross-checking and due to the missing files returns a non-zero exit code, which causes the driver installation to fail.

    Once the missing files were recovered, ibm-driver-tool.pl installed the aacraid driver successfully.
    • ishields
      ishields
      988 Posts
      ACCEPTED ANSWER

      Re: Installing aacraid driver RHEL 4 on x-series 3650 for ServeRAID 8k-l

      ‏2009-11-27T13:18:05Z  in response to Bigears
      Thanks for the update.

      Ian Shields